function [val] = eval_splinecubico(x,y,coef,puntos)
% Evaluacion del spline cubico con coeficientes en coef
% en puntos
% [x(1) x(2)],[x(2) x(3)], ... son los subintervalos que definen al spline

% en coef estan los valores de sigma segun algoritmo en laminas de 521230
% el spline interpola a (x,y)

coef = coef(:);
coef = [0;coef;0];

h = x(2:end)-x(1:end-1);

n=length(x);
n=n-1;
val=zeros(length(puntos),2);
val(:,1)=puntos;
j=1;
for i=1:length(puntos) 
    while val(i,1) > x(j+1)
        j=j+1;
    end
    % evaluar con polinomio correspondiente a [xj,x_{j+1}]
    p = val(i,1);
    val(i,2) = coef(j)*((x(j+1)-p)^3/h(j)-h(j)*(x(j+1)-p))/6 + ...
        coef(j+1)*((p-x(j))^3/h(j)-h(j)*(p-x(j)))/6 + ...
        y(j)*(x(j+1)-p)/h(j) + y(j+1)*(p-x(j))/h(j);        
end
        